Bug 124138 - AT Keyboard failure in SMP kernel (input/serio/i8042.c)
AT Keyboard failure in SMP kernel (input/serio/i8042.c)
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-24 09:24 EDT by Hans Kramer
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-19 09:46:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg output (11.10 KB, text/plain)
2004-05-24 09:29 EDT, Hans Kramer
no flags Details

  None (edit)
Description Hans Kramer 2004-05-24 09:24:56 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
The AT Keyboard fails to be initialized properly and hangs when
booting the SMP kernel (2.6.5) from Fedora Core 2. System works fine
for the UP kernel; and RedHat 9 & Fedora Core 1 using the SMP kernels.
This seems like a problem caused by the new 2.6 kernel. The keyboard
is useless, however, some keystrokes seem to interfer with the mouse.
Moreover, the mouse only works after unplugging and plugging back in
(USB mouse works always fine). The system further boots and runs normally.

I have compiled and installed the latest kernel too, however, without
any success. An excerpt from dmesg hints at i8042.c:

mice: PS/2 mouse device common for all mice
Failed to disable AUX port, but continuing anyway... Is this a SiS?
If AUX port is really absent please use the 'i8042.noaux' option.
serio: i8042 AUX port at 0x60,0x64 irq 12
serio: i8042 KBD port at 0x60,0x64 irq 1
atkbd.c: Unknown key pressed (raw set 0, code 0x0 on isa0060/serio0).
atkbd.c: Use 'setkeycodes 00 <keycode>' to make it known.
atkbd.c: Unknown key pressed (raw set 0, code 0x0 on isa0060/serio0).
atkbd.c: Use 'setkeycodes 00 <keycode>' to make it known.
atkbd.c: Unknown key pressed (raw set 0, code 0x0 on isa0060/serio0).
atkbd.c: Use 'setkeycodes 00 <keycode>' to make it known.
atkbd.c: Unknown key pressed (raw set 0, code 0x0 on isa0060/serio0).
atkbd.c: Use 'setkeycodes 00 <keycode>' to make it known.
atkbd.c: Unknown key pressed (raw set 0, code 0x0 on isa0060/serio0).
atkbd.c: Use 'setkeycodes 00 <keycode>' to make it known.
atkbd.c: Unknown key pressed (raw set 0, code 0x0 on isa0060/serio0).
atkbd.c: Use 'setkeycodes 00 <keycode>' to make it known.
atkbd.c: Unknown key pressed (raw set 0, code 0x0 on isa0060/serio0).
atkbd.c: Use 'setkeycodes 00 <keycode>' to make it known.
input: PS/2 Generic Mouse on isa0060/serio0

UP kernel shows the normal behavior:
mice: PS/2 mouse device common for all mice
serio: i8042 AUX port at 0x60,0x64 irq 12
input: ImPS/2 Generic Wheel Mouse on isa0060/serio1
serio: i8042 KBD port at 0x60,0x64 irq 1
input: AT Translated Set 2 keyboard on isa0060/serio0

I have no insight in the kernel, however, I can compile a kernel and
put simple printk statements for debugging. I would really like to get
this fixed.

Thanks

Hans.

Version-Release number of selected component (if applicable):
kernel-2.6.5-1.358smp

How reproducible:
Always

Steps to Reproduce:
1. boot SMP kernel
2.
3.
    

Actual Results:  Keyboard hangs. Cannot log in. Either have to log in
from remote to shutdown the system or has to get the mouse working by
unplugging it once and poweroff the system

Additional info:
Comment 1 Hans Kramer 2004-05-24 09:28:04 EDT
System info:
Phoenix Bios 4.0 Release 6.0
Copyright 1985-2003 Pheonix Technologies Ltd.
Tyan Tiger i7505 030603
Copyright 1995-2003 Tyan Computer Corporation.
Revision V1.01

CPU = 2 -Intel(R) Xeon(TM) CPU 3.06Ghz
Comment 2 Hans Kramer 2004-05-24 09:29:01 EDT
Created attachment 100493 [details]
dmesg output
Comment 3 john.l.villalovos 2004-05-27 19:29:34 EDT
I have the same issue on my Intel Dual Xeon box with Hyperthreading. 
So it appears as four processors.  Works fine with the UP kernel.
Comment 4 Rex 2004-06-09 16:25:31 EDT
In the "me too" vein of comments I have the exact same problem
(keyboard doesn't work when using the SMP kernel) on my Dual Xeon,
sans Hyperthreading.  RH9 and FC1 SMP kernels worked fine.  The same
problem exists using a USB mouse or PS2 mouse, and the same
"interference" also happens.
My dmesg says:

usbcore: registered new driver hiddev
usbcore: registered new driver hid
drivers/usb/input/hid-core.c: v2.0:USB HID core driver
mice: PS/2 mouse device common for all mice
i8042.c: Can't read CTR while initializing i8042.
md: md driver 0.90.0 MAX_MD_DEVS=256, MD_SB_DISKS=27
NET: Registered protocol family 2
IP: routing cache hash table of 16384 buckets, 128Kbytes
Comment 5 Alan Cox 2004-06-18 21:18:48 EDT
Turn off USB legacy/USB mouse/USB keyboard support in the BIOS and see
if that fixes it. Let me know the result
Comment 6 Hans Kramer 2004-06-19 09:44:32 EDT
Hi Alan,

Brilliant!!! 

It did the job for me! Of course I hope that soon it will not be
required anymore in the future, however, I can live with it!

Hooray!!!! Fedora 2, kernel 2.6, gnome 2.6 and all the other
goodies...yeah
dynamite!!!!!!

Hans.
Comment 7 Steve Underwood 2004-06-30 13:26:01 EDT
I have the same problem with a Tyan 2665 M/B (dual Xeon, i7505
chipset), but my BIOS will not let me disable the USB legacy/USB
mouse/USB keyboard. If I turn off the USB controllers comnpletely in
the BIOS the keyboard works, but loosing all USB support is a bit
drastic:-) I want my USB back :-)
Comment 8 Mark Heslep 2004-09-11 00:20:59 EDT
Disbling USB Legacy fixes the problem here too ( SuperMicro 6012P-6
MoBo, dual Xeon ) with a USB keyboard. However, it also kills the
keyboard for Grub. Its fine during the post and comes back when the
kernel takes over from grub.

Note You need to log in before you can comment on or make changes to this bug.